# Asterisk Project : Asterisk 12 Application_ParkAndAnnounce

Added by wikibot , edited by wikibot on Aug 29, 2013

# ParkAndAnnounce()

### Synopsis

Park and Announce.

### Description

Park a call into the parkinglot and announce the call to another channel.

The variable `PARKEDAT` will contain the parking extension into which the call was placed. Use with the Local channel to allow the dialplan to make use of this information.

### Syntax

    ParkAndAnnounce(parking_lot_name,optionsannounce:announce1[:...],dial)

##### Arguments

- `parking_lot_name` - Specify in which parking lot to park a call.
  The parking lot used is selected in the following order:
  1) parking_lot_name option to this application
  2) `PARKINGLOT` variable
  3) `CHANNEL(parkinglot)` function (Possibly preset by the channel driver.)
  4) Default parking lot.
- `options` - A list of options for this parked call.
  - `r` - Send ringing instead of MOH to the parked call.
  - `R` - Randomize the selection of a parking space.
  - `c` - If the parking times out, go to this place in the dialplan instead of where the parking lot defines the call should go.
    - `context`
    - `extension`
    - `priority`
  - `t` - Use a timeout of `duration` seconds instead of the timeout specified by the parking lot.
    - `duration`
- `announce_template`
  - `announce` - Colon-separated list of files to announce. The word `PARKED` will be replaced by a say_digits of the extension in which the call is parked.
  - `announce1`
- `dial` - The app_dial style resource to call to make the announcement. Console/dsp calls the console.

### See Also

- Asterisk 12 Application_Park
- Asterisk 12 Application_ParkedCall

### Import Version

This documentation was imported from Asterisk Version Unknown